
# fakeImages

Das Script `createImages` erzeugt aus einem leeren Messgeräte-Bild und neun 
7-Segment-Bildern neue Messgeräte-Bilder mit zufälliger 6-stelliger Anzeige. 
Als anschaulicher Test entsteht zusätzlich eine Videodatei, die die erzeugten 
Bilder zeigt. Die Variable `MAX_FILES` bestimmt die Anzahl der Bilder.

Um weitere anders aussehende Display-Sequenzen zu erzeugen müssen die folgenden 
Angaben angepasst werden:

* `MAIN` (willkürliche Benennung, z.B. Gerätename)
* `MAX_FILES` (Anzahl der zu erzeugenden Dateien)
* `digitFile[0] ... digitFile[n]` (Name der einzelnen Zifferndateien)
* `dotFile`  (Name der Dezimalpunktdatei)
* `digitPos[1] ...  digitPos[n]` (Position der einzelnen Ziffern)
* `dotPos[1] ...  dotPos[n]` (Position der einzelnen Dezimalpunkte)
* `body.png`

Notwendige Software:

* `ImageMagick` (Programm `convert`)
* Grafikprogramm (z.B. `gimp`)
* `exiv2` (Manipulation von Metadaten)
* Evtl. `ffmpeg` zur Videoerzeugung

 Die Dateinamen der erzeugten Grafiken enthalten dieselbe Zeichenkette, die sie 
 grafisch auf dem Display darstellen. Es gilt folgende Nomenklatur:
 ```
 XXX/images/XXX@0.12345@.png 
 ```
 * `XXX`: Kennung des Gerätes
 * `0.12345`: In der Grafik zu sehender Displaywert. Falls bei der Konstruktion 
 dieser Zeichenfolge Leerzeichen entstehen, werden diese durch das Zeichen `_` 
 ersetzt.
 
 Zusätzlich wird der Displaywert auch noch den Metadaten der Grafikdatei 
 zugefügt (Tag »`Exif.Image.ImageDescription`«).
 
 Das Verzeichnis `GERAET_X/` enthält nur Programmcode, der das Prinzip zeigt. 
 Die anderen Verzeichnisse (`FLUKE-8840A/`, `SRG-2/` usw.) enthalten 
 tatsächlich nutzbaren Code.



